Subject: [secdir] secdir review of draft-ietf-teas-gmpls-lsp-fastreroute-09

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Tue, 4 Jul 2017 09:32:25 -0400

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

Summary: Ready with Nits

I did not have enough background on MLPS and GMPLS and their related RFCs,
so I had to do some reading to get some familiarity with this subject to be
able to provide some reasonable review of this document.

This document builds on an existing mechanism, "Fast Reroute Extensions to
RSVP-TE for LSP Tunnels" defined in RFC4090, which defines a mechanism to
establish a backup tunnels for local LSP tunnels. One limitation of the
existing mechanism is that in some situations it might assign different
uni-directional bypass tunnels for the forward and reverse directions.

This document extends the mechanism defined in RFC4090, by adding a new
BYPASS_ASSIGNMENT subobject to the existing RECORD_ROUTE Object (RRO) used
in PATH and RESV requests, to allow the establishment of a bi-directional
bypass tunnel.

The security of the existing mechanism still applies with the new mechanism,
and the security section discusses the implications of the new subobject and
the new error associated with that, which seems reasonable.

The document also points to an MPLS/GMPLS Security Framework (RFC5920)
document that has an extensive discussion of the security of MPLS/GMPLS
network in general that also applies to this document.

Nits

Because the document extends RFC4090, it should add "Updates: 4090" at the
top of the document.

Regards,
 Rifaat

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Tue, 4 Jul 2017 14:55:47 +0000

Thanks Rifaat for the review of this document.

Hi Deborah, Lou, Pavan,

Any thoughts on the following suggestion?

“Because the document extends RFC4090, it should add "Updates: 4090" at the top of the document.”

Thanks,
Rakesh

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Tuesday, July 4, 2017 at 9:32 AM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, The IESG <[email-masked]>
Subject: [secdir] secdir review of draft-ietf-teas-gmpls-lsp-fastreroute-09
Resent-From: <[email-masked]>
Resent-To: "=SMTP:mtaillon@cisco. com" <[email-masked]>, <[email-masked]>, "=SMTP:rgandhi@cisco. com" <[email-masked]>, Zafar Ali <[email-masked]>, <[email-masked]>, <[email-masked]>, Lou Berger <[email-masked]>, <[email-masked]>, <[email-masked]>, DEBORAH BRUNGARD <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, July 4, 2017 at 9:40 AM

Summary: Ready with Nits

Nits

Regards,
 Rifaat

---

From: Vishnu Pavan Beeram <[email-masked]>
Date: Tue, 4 Jul 2017 15:38:49 +0000

Rakesh, Hi!

This is a valid comment. <GMPLS-LSP-FRR> doesn’t modify any of the existing procedures defined in RFC4090, but it does supplement it. As per RFC2223, this is sufficient grounds to set the “Updates” field.

Courtesy RFC2223:

      To be used as a reference from a new item that cannot be used
      alone (i.e., one that supplements a previous document), to refer
      to the previous document.  The newer publication is a part that
      will supplement or be added on to the existing document; e.g., an
      addendum, or separate, extra information that is to be added to
      the original document.

@Deborah — Are you ok with this?
Regards,
-Pavan

From: "Rakesh Gandhi (rgandhi)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, July 4, 2017 at 10:55 AM
To: Rifaat Shekh-Yusef <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, The IESG <[email-masked]<mailto:[email-masked]>>
Cc: DEBORAH BRUNGARD <[email-masked]<mailto:[email-masked]>>, Lou Berger <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [secdir] secdir review of draft-ietf-teas-gmpls-lsp-fastreroute-09
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Zafar Ali <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Lou Berger <[email-masked]<mailto:[email-masked]>>, Vishnu Pavan Beeram <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
Resent-Date: Tuesday, July 4, 2017 at 10:55 AM

Hi Deborah, Lou, Pavan,

Thanks,
Rakesh

From: Rifaat Shekh-Yusef <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, July 4, 2017 at 9:32 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, The IESG <[email-masked]<mailto:[email-masked]>>
Subject: [secdir] secdir review of draft-ietf-teas-gmpls-lsp-fastreroute-09
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: "=SMTP:mtaillon@cisco. com" <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, "=SMTP:rgandhi@cisco. com" <[email-masked]<mailto:[email-masked]>>, Zafar Ali <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Lou Berger <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, DEBORAH BRUNGARD <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
Resent-Date: Tuesday, July 4, 2017 at 9:40 AM

Summary: Ready with Nits

Nits

Regards,
 Rifaat

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Thu, 6 Jul 2017 15:31:11 +0000

Thanks Pavan.

Hi Deborah,
Please let us know if you are OK with the suggestion.

Thanks,
Rakesh

From: Vishnu Pavan Beeram <[email-masked]>
Date: Tuesday, July 4, 2017 at 11:38 AM
To: "=SMTP:rgandhi@cisco. com" <[email-masked]>, Rifaat Shekh-Yusef <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, The IESG <[email-masked]>
Cc: DEBORAH BRUNGARD <[email-masked]>, Lou Berger <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [secdir] secdir review of draft-ietf-teas-gmpls-lsp-fastreroute-09

Rakesh, Hi!

Courtesy RFC2223:

      the original document.

Hi Deborah, Lou, Pavan,

Thanks,
Rakesh

Summary: Ready with Nits

Nits

Regards,
 Rifaat

---

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Tue, 11 Jul 2017 11:25:05 +0000

Hi Rakesh, all,
(I was on vacation last week:-))

I lean towards a somewhat strict interpretation of “update”, otherwise implementers need to browse all the updates to see what is appropriate. On this, it is more than extension, it definitely improves an implementation, so it should be an “update”.

Authors – when do the next update - reword “This document extends the mechanism ..” to “This document updates the mechanism ..”.

Thanks Rifaat – great comment-
Deborah

From: Rakesh Gandhi (rgandhi) [mailto:[email-masked]]
Sent: Thursday, July 06, 2017 11:31 AM
To: Vishnu Pavan Beeram <[email-masked]>; Rifaat Shekh-Yusef <[email-masked]>; [email-masked]; [email-masked]; The IESG <[email-masked]>
Cc: BRUNGARD, DEBORAH A <[email-masked]>; Lou Berger <[email-masked]>; [email-masked] <[email-masked]>
Subject: Re: [secdir] secdir review of draft-ietf-teas-gmpls-lsp-fastreroute-09

Thanks Pavan.

Hi Deborah,

Thanks,
Rakesh

From: Vishnu Pavan Beeram <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, July 4, 2017 at 11:38 AM
To: "=SMTP:rgandhi@cisco. com" <[email-masked]<mailto:[email-masked]>>, Rifaat Shekh-Yusef <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, The IESG <[email-masked]<mailto:[email-masked]>>
Cc: DEBORAH BRUNGARD <[email-masked]<mailto:[email-masked]>>, Lou Berger <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [secdir] secdir review of draft-ietf-teas-gmpls-lsp-fastreroute-09

Rakesh, Hi!

Courtesy RFC2223:

      the original document.

Hi Deborah, Lou, Pavan,

Thanks,
Rakesh

Summary: Ready with Nits

Nits

Regards,
 Rifaat

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Tue, 11 Jul 2017 14:10:55 +0000

Hi Deborah,

Thank you for your suggestions. Will update the document accordingly.

Thanks,
Rakesh

From: DEBORAH BRUNGARD <[email-masked]>
Date: Tuesday, July 11, 2017 at 7:25 AM
To: "=SMTP:rgandhi@cisco. com" <[email-masked]>, Vishnu Pavan Beeram <[email-masked]>, Rifaat Shekh-Yusef <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, The IESG <[email-masked]>
Cc: Lou Berger <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [secdir] secdir review of draft-ietf-teas-gmpls-lsp-fastreroute-09

Hi Rakesh, all,

Thanks Pavan.

Hi Deborah,

Thanks,
Rakesh

Rakesh, Hi!

Courtesy RFC2223:

      the original document.

Hi Deborah, Lou, Pavan,

Thanks,
Rakesh

Summary: Ready with Nits

Nits

Regards,
 Rifaat

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Tue, 11 Jul 2017 15:37:27 +0000

Hi All,

Attached please find the suggested changes, which includes Gen-ART review as well. Will upload the revised document once the flood gate opens.

Thanks,
Rakesh

From: "=SMTP:rgandhi@cisco. com" <[email-masked]>
Date: Tuesday, July 11, 2017 at 10:11 AM
To: DEBORAH BRUNGARD <[email-masked]>, Vishnu Pavan Beeram <[email-masked]>, Rifaat Shekh-Yusef <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, The IESG <[email-masked]>
Cc: Lou Berger <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [secdir] secdir review of draft-ietf-teas-gmpls-lsp-fastreroute-09

Hi Deborah,

Thanks,
Rakesh

Hi Rakesh, all,

Thanks Pavan.

Hi Deborah,

Thanks,
Rakesh

Rakesh, Hi!

Courtesy RFC2223:

      the original document.

Hi Deborah, Lou, Pavan,

Thanks,
Rakesh

Summary: Ready with Nits

Nits

Regards,
 Rifaat